Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global barename ast-traverse

Name:               nodejs-ast-traverse
Version:            0.1.1
Release:            alt1_8
Summary:            Simple but flexible AST traversal

License:            MIT
URL:                https://www.npmjs.org/package/ast-traverse
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      rpm-build-nodejs node-devel
Source44: import.info

%description
Simple but flexible AST traversal with pre and post visitors. Works in node and
browsers.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ast-traverse
cp -pr package.json ast-traverse.js \
    %{buildroot}%{nodejs_sitelib}/ast-traverse

%nodejs_symlink_deps

%files
%doc LICENSE README.md
%{nodejs_sitelib}/ast-traverse/

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_8
- new version

